sc::HessianUpdate(3)

NAME
sc::HessianUpdate -

The HessianUpdate abstract class is used to specify a hessian update

 scheme.

SYNOPSIS

#include <update.h>

Inherits sc::SavableState.

Inherited by sc::DFPUpdate, and sc::PowellUpdate.

  Public Member Functions
HessianUpdate (StateIn &)
HessianUpdate (const Ref< KeyVal > &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
virtual void update (const RefSymmSCMatrix &hessian, const Ref< Function > &, const RefSCVector &xnew, const RefSCVector &gnew)=0
virtual void set_inverse ()
virtual void apply_transform (const Ref< NonlinearTransform > &)

  Protected Attributes
int inverse_hessian_

  Additional Inherited Members

Detailed Description

The HessianUpdate abstract class is used to specify a hessian update

 scheme. It is used, for example, by QNewtonOpt objects. Based on the value of inverse_hessian_ x and g may be reversed (see Schlegel, Ab initio Methods in Quantum Chemistry I, 1987, p 10).

Member Function Documentation

  void sc::HessianUpdate::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::SavableState.

Reimplemented in sc::PowellUpdate, sc::BFGSUpdate, and sc::DFPUpdate.

Author

Generated automatically by Doxygen for MPQC from the source code.